net.sf.saxon.type

## Interface UnionType

- All Superinterfaces:
    ItemType, SchemaComponent, SchemaType, Serializable, SimpleType
  All Known Implementing Classes:
    ErrorType, UserUnionType

      public interface UnionType
      extends SimpleType, ItemType

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.type.SchemaType

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION, DERIVE_BY_SUBSTITUTION`

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE, FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsListType()`
    `Set<PlainType>` | `getPlainMemberTypes()`
    `SequenceType` | `getResultTypeOfCast()`

    - ### Methods inherited from interface net.sf.saxon.type.SimpleType

      `getBuiltInBaseType, getTypedValue, getWhitespaceAction, isAtomicType, isBuiltInType, isExternalType, isListType, isNamespaceSensitive, isUnionType, postprocess, preprocess, validateContent`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaType

      `allowsDerivation, analyzeContentExpression, atomize, checkTypeDerivationIsOK, getBaseType, getBlock, getDerivationMethod, getDescription, getDisplayName, getEQName, getFinalProhibitions, getFingerprint, getName, getNameCode, getSystemId, getTargetNamespace, isAnonymousType, isComplexType, isIdRefType, isIdType, isSameType, isSimpleType`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getComponentAsFunction, getRedefinitionLevel, getValidationStatus`

    - ### Methods inherited from interface net.sf.saxon.type.ItemType

      `getAtomizedItemType, getDefaultPriority, getPrimitiveItemType, getPrimitiveType, getSuperType, isAtomicType, isAtomizable, isPlainType, matches, matchesItem, visitNamedSchemaComponents`

- - ### Method Detail

    - #### containsListType

          boolean containsListType()

    - #### getPlainMemberTypes

          Set<PlainType> getPlainMemberTypes()

    - #### getResultTypeOfCast

          SequenceType getResultTypeOfCast()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.